
.PHONY: all
all: test
	go run cmd/main.go

.PHONY: generate
generate:
	./genproto.sh

test:
	go test ./... -v

.PHONY: build
build: test
	CGO_ENABLED=0 go build cmd/main.go

build_intel:
	GOARCH=amd64 CGO_ENABLED=0 go build -o main_intel cmd/main.go
